camel-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From MadhuChitti <mchi...@incomm.com>
Subject Getting soap:VersionMismatch on invoking a SOAP service using CXF
Date Wed, 04 Jan 2017 22:25:21 GMT
Hi

I am trying to invoke a SAOP service using camel route, below is my code

      <cxf:cxfEndpoint
          address="http://${hostname}:${port}/test/SOAPServiceImpl"
          id="serviceEndpoint"
serviceClass="com.mycompany.soap.SOAPServicePortType">
          <cxf:binding> 
	         <soap:soapBinding version="1.2"/> 
	    </cxf:binding>
       </cxf:cxfEndpoint>

*Camel Context:*

<bean class="com.mycompany.process.CallProcessor" id="callProcess"/>

<camelContext id="_camelContext1"
xmlns="http://camel.apache.org/schema/spring">
<route id="callSOAPService">
            <from id="_from2" uri="direct:callSOAPService"/>
            <log id="_log7" message="Calling SOAP Service"/>
            <bean id="_bean3" method="createReq" ref="callProcess"/>
            <marshal id="_marshal3" ref="myJaxb">
            </marshal>
            <setHeader headerName="operationName" id="_setHeader6">
                <constant>callService</constant>
            </setHeader>
            <setHeader headerName="operationNamespace" id="_setHeader7">
                <constant>http://auth.org</constant>
            </setHeader>
            <to id="_to9"
uri="cxf:bean:serviceEndpoint?username=user&amp;password=password1&amp;dataFormat=MESSAGE"/>

            <log id="_log12" message="After Calling Soap ${body}"/>
        </route>
</camelContext>

*Response Log:*

After Calling Soap <soap:Envelope
xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/"><soap:Body><soap:Fault><faultcode>soap:VersionMismatch</faultcode><faultstring>"http://auth.org",
the namespace on the "callService" element, is not a valid SOAP
version.</faultstring></soap:Fault></soap:Body></soap:Envelope>

In wsdl the namespace for callService is http://auth.org.

Can someone please help me on this, why I am getting this Version mismatch
fault code.

Thanks,
Madhu



--
View this message in context: http://camel.465427.n5.nabble.com/Getting-soap-VersionMismatch-on-invoking-a-SOAP-service-using-CXF-tp5792156.html
Sent from the Camel - Users mailing list archive at Nabble.com.

Mime
View raw message